OGRE: Ogre::RenderSystemCapabilities Class Reference - OGRE Documentation

Public Types | Public Member Functions | Static Public Member Functions | Static Private Member Functions | Private Attributes | Static Private Attributes

# Ogre::RenderSystemCapabilities Class Reference
[RenderSystem]

singleton class for storing the capabilities of the graphics card. More...

`#include <OgreRenderSystemCapabilities.h>`

Inheritance diagram for Ogre::RenderSystemCapabilities:
[legend]

List of all members.

## Public Types
typedef set< String >::type | ShaderProfiles
## Public Member Functions
| RenderSystemCapabilities ()
virtual | ~RenderSystemCapabilities ()
virtual size_t | calculateSize () const
void | setDriverVersion (const DriverVersion &version)
| Set the driver version.
void | parseDriverVersionFromString (const String &versionString)
DriverVersion | getDriverVersion () const
GPUVendor | getVendor () const
void | setVendor (GPUVendor v)
void | parseVendorFromString (const String &vendorString)
| Parse and set vendor.
bool | isDriverOlderThanVersion (DriverVersion v) const
void | setNumWorldMatrices (ushort num)
void | setNumTextureUnits (ushort num)
void | setStencilBufferBitDepth (ushort num)
void | setNumVertexBlendMatrices (ushort num)
void | setNumMultiRenderTargets (ushort num)
| The number of simultaneous render targets supported.
ushort | getNumWorldMatrices (void) const
ushort | getNumTextureUnits (void) const
| Returns the number of texture units the current output hardware supports.
ushort | getStencilBufferBitDepth (void) const
| Determines the bit depth of the hardware accelerated stencil buffer, if supported.
ushort | getNumVertexBlendMatrices (void) const
| Returns the number of matrices available to hardware vertex blending for this rendering system.
ushort | getNumMultiRenderTargets (void) const
| The number of simultaneous render targets supported.
bool | isCapabilityRenderSystemSpecific (const Capabilities c)
| Returns true if capability is render system specific.
void | setCapability (const Capabilities c)
| Adds a capability flag.
void | unsetCapability (const Capabilities c)
| Remove a capability flag.
bool | hasCapability (const Capabilities c) const
| Checks for a capability.
void | addShaderProfile (const String &profile)
| Adds the profile to the list of supported profiles.
void | removeShaderProfile (const String &profile)
| Remove a given shader profile, if present.
bool | isShaderProfileSupported (const String &profile) const
| Returns true if profile is in the list of supported profiles.
const ShaderProfiles & | getSupportedShaderProfiles () const
| Returns a set of all supported shader profiles.
ushort | getVertexProgramConstantFloatCount (void) const
| The number of floating-point constants vertex programs support.
ushort | getVertexProgramConstantIntCount (void) const
| The number of integer constants vertex programs support.
ushort | getVertexProgramConstantBoolCount (void) const
| The number of boolean constants vertex programs support.
ushort | getGeometryProgramConstantFloatCount (void) const
| The number of floating-point constants geometry programs support.
ushort | getGeometryProgramConstantIntCount (void) const
| The number of integer constants geometry programs support.
ushort | getGeometryProgramConstantBoolCount (void) const
| The number of boolean constants geometry programs support.
ushort | getFragmentProgramConstantFloatCount (void) const
| The number of floating-point constants fragment programs support.
ushort | getFragmentProgramConstantIntCount (void) const
| The number of integer constants fragment programs support.
ushort | getFragmentProgramConstantBoolCount (void) const
| The number of boolean constants fragment programs support.
void | setDeviceName (const String &name)
| sets the device name for Render system
String | getDeviceName () const
| gets the device name for render system
void | setVertexProgramConstantFloatCount (ushort c)
| The number of floating-point constants vertex programs support.
void | setVertexProgramConstantIntCount (ushort c)
| The number of integer constants vertex programs support.
void | setVertexProgramConstantBoolCount (ushort c)
| The number of boolean constants vertex programs support.
void | setGeometryProgramConstantFloatCount (ushort c)
| The number of floating-point constants geometry programs support.
void | setGeometryProgramConstantIntCount (ushort c)
| The number of integer constants geometry programs support.
void | setGeometryProgramConstantBoolCount (ushort c)
| The number of boolean constants geometry programs support.
void | setFragmentProgramConstantFloatCount (ushort c)
| The number of floating-point constants fragment programs support.
void | setFragmentProgramConstantIntCount (ushort c)
| The number of integer constants fragment programs support.
void | setFragmentProgramConstantBoolCount (ushort c)
| The number of boolean constants fragment programs support.
void | setMaxPointSize (Real s)
| Maximum point screen size in pixels.
Real | getMaxPointSize (void) const
| Maximum point screen size in pixels.
void | setNonPOW2TexturesLimited (bool l)
| Non-POW2 textures limited.
bool | getNonPOW2TexturesLimited (void) const
| Are non-power of two textures limited in features?
void | setNumVertexTextureUnits (ushort n)
| Set the number of vertex texture units supported.
ushort | getNumVertexTextureUnits (void) const
| Get the number of vertex texture units supported.
void | setVertexTextureUnitsShared (bool shared)
| Set whether the vertex texture units are shared with the fragment processor.
bool | getVertexTextureUnitsShared (void) const
| Get whether the vertex texture units are shared with the fragment processor.
void | setGeometryProgramNumOutputVertices (int numOutputVertices)
| Set the number of vertices a single geometry program run can emit.
int | getGeometryProgramNumOutputVertices (void) const
| Get the number of vertices a single geometry program run can emit.
String | getRenderSystemName (void) const
| Get the identifier of the rendersystem from which these capabilities were generated.
void | setRenderSystemName (const String &rs)
| Set the identifier of the rendersystem from which these capabilities were generated.
void | setCategoryRelevant (CapabilitiesCategory cat, bool relevant)
| Mark a category as 'relevant' or not, ie will it be reported.
bool | isCategoryRelevant (CapabilitiesCategory cat)
| Return whether a category is 'relevant' or not, ie will it be reported.
void | log (Log *pLog)
| Write the capabilities to the pass in Log.
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
## Static Public Member Functions
static GPUVendor | vendorFromString (const String &vendorString)
| Convert a vendor string to an enum.
static String | vendorToString (GPUVendor v)
| Convert a vendor enum to a string.
## Static Private Member Functions
static void | initVendorStrings ()
## Private Attributes
DriverVersion | mDriverVersion
| This is used to build a database of RSC's if a RSC with same name, but newer version is introduced, the older one will be removed.
GPUVendor | mVendor
| GPU Vendor.
ushort | mNumWorldMatrices
| The number of world matrices available.
ushort | mNumTextureUnits
| The number of texture units available.
ushort | mStencilBufferBitDepth
| The stencil buffer bit depth.
ushort | mNumVertexBlendMatrices
| The number of matrices available for hardware blending.
int | mCapabilities [CAPS_CATEGORY_COUNT]
| Stores the capabilities flags.
bool | mCategoryRelevant [CAPS_CATEGORY_COUNT]
| Which categories are relevant.
String | mDeviceName
| The name of the device as reported by the render system.
String | mRenderSystemName
| The identifier associated with the render system for which these capabilities are valid.
ushort | mVertexProgramConstantFloatCount
| The number of floating-point constants vertex programs support.
ushort | mVertexProgramConstantIntCount
| The number of integer constants vertex programs support.
ushort | mVertexProgramConstantBoolCount
| The number of boolean constants vertex programs support.
ushort | mGeometryProgramConstantFloatCount
| The number of floating-point constants geometry programs support.
ushort | mGeometryProgramConstantIntCount
| The number of integer constants vertex geometry support.
ushort | mGeometryProgramConstantBoolCount
| The number of boolean constants vertex geometry support.
ushort | mFragmentProgramConstantFloatCount
| The number of floating-point constants fragment programs support.
ushort | mFragmentProgramConstantIntCount
| The number of integer constants fragment programs support.
ushort | mFragmentProgramConstantBoolCount
| The number of boolean constants fragment programs support.
ushort | mNumMultiRenderTargets
| The number of simultaneous render targets supported.
Real | mMaxPointSize
| The maximum point size.
bool | mNonPOW2TexturesLimited
| Are non-POW2 textures feature-limited?
ushort | mNumVertexTextureUnits
| The number of vertex texture units supported.
bool | mVertexTextureUnitsShared
| Are vertex texture units shared with fragment processor?
int | mGeometryProgramNumOutputVertices
| The number of vertices a geometry program can emit in a single run.
ShaderProfiles | mSupportedShaderProfiles
| The list of supported shader profiles.
## Static Private Attributes
static StringVector | msGPUVendorStrings

## Detailed Description

singleton class for storing the capabilities of the graphics card.

Remarks:
  This class stores the capabilities of the graphics card. This information is set by the individual render systems.

Definition at line 234 of file OgreRenderSystemCapabilities.h.

## Member Typedef Documentation

typedef set<String>::type Ogre::RenderSystemCapabilities::ShaderProfiles

Definition at line 239 of file OgreRenderSystemCapabilities.h.

## Constructor & Destructor Documentation

Ogre::RenderSystemCapabilities::RenderSystemCapabilities | ( |  | ) |

virtual Ogre::RenderSystemCapabilities::~RenderSystemCapabilities | ( |  | ) | `[virtual]`

## Member Function Documentation

void Ogre::RenderSystemCapabilities::addShaderProfile | ( | const String & | profile | ) |

Adds the profile to the list of supported profiles.

Definition at line 486 of file OgreRenderSystemCapabilities.h.

virtual size_t Ogre::RenderSystemCapabilities::calculateSize | ( |  | ) | const`[virtual]`

Definition at line 307 of file OgreRenderSystemCapabilities.h.

String Ogre::RenderSystemCapabilities::getDeviceName | ( |  | ) | const

gets the device name for render system

Definition at line 568 of file OgreRenderSystemCapabilities.h.

DriverVersion Ogre::RenderSystemCapabilities::getDriverVersion | ( |  | ) | const

Definition at line 323 of file OgreRenderSystemCapabilities.h.

ushort Ogre::RenderSystemCapabilities::getFragmentProgramConstantBoolCount | ( | void |  | ) | const

The number of boolean constants fragment programs support.

Definition at line 556 of file OgreRenderSystemCapabilities.h.

ushort Ogre::RenderSystemCapabilities::getFragmentProgramConstantFloatCount | ( | void |  | ) | const

The number of floating-point constants fragment programs support.

Definition at line 546 of file OgreRenderSystemCapabilities.h.

ushort Ogre::RenderSystemCapabilities::getFragmentProgramConstantIntCount | ( | void |  | ) | const

The number of integer constants fragment programs support.

Definition at line 551 of file OgreRenderSystemCapabilities.h.

ushort Ogre::RenderSystemCapabilities::getGeometryProgramConstantBoolCount | ( | void |  | ) | const

The number of boolean constants geometry programs support.

Definition at line 541 of file OgreRenderSystemCapabilities.h.

ushort Ogre::RenderSystemCapabilities::getGeometryProgramConstantFloatCount | ( | void |  | ) | const

The number of floating-point constants geometry programs support.

Definition at line 531 of file OgreRenderSystemCapabilities.h.

ushort Ogre::RenderSystemCapabilities::getGeometryProgramConstantIntCount | ( | void |  | ) | const

The number of integer constants geometry programs support.

Definition at line 536 of file OgreRenderSystemCapabilities.h.

int Ogre::RenderSystemCapabilities::getGeometryProgramNumOutputVertices | ( | void |  | ) | const

Get the number of vertices a single geometry program run can emit.

Definition at line 673 of file OgreRenderSystemCapabilities.h.

Real Ogre::RenderSystemCapabilities::getMaxPointSize | ( | void |  | ) | const

Maximum point screen size in pixels.

Definition at line 624 of file OgreRenderSystemCapabilities.h.

bool Ogre::RenderSystemCapabilities::getNonPOW2TexturesLimited | ( | void |  | ) | const

Are non-power of two textures limited in features?

Remarks:
  If the RSC_NON_POWER_OF_2_TEXTURES capability is set, but this method returns true, you can use non power of 2 textures only if:
  - You load them explicitly with no mip maps
  - You don't use DXT texture compression
  - You use clamp texture addressing

Definition at line 641 of file OgreRenderSystemCapabilities.h.

ushort Ogre::RenderSystemCapabilities::getNumMultiRenderTargets | ( | void |  | ) | const

The number of simultaneous render targets supported.

Definition at line 435 of file OgreRenderSystemCapabilities.h.

ushort Ogre::RenderSystemCapabilities::getNumTextureUnits | ( | void |  | ) | const

Returns the number of texture units the current output hardware supports.

For use in rendering, this determines how many texture units the are available for multitexturing (i.e. rendering multiple textures in a single pass). Where a Material has multiple texture layers, it will try to use multitexturing where available, and where it is not available, will perform multipass rendering to achieve the same effect. This property only applies to the fixed-function pipeline, the number available to the programmable pipeline depends on the shader model in use.

Definition at line 411 of file OgreRenderSystemCapabilities.h.

ushort Ogre::RenderSystemCapabilities::getNumVertexBlendMatrices | ( | void |  | ) | const

Returns the number of matrices available to hardware vertex blending for this rendering system.

Definition at line 429 of file OgreRenderSystemCapabilities.h.

ushort Ogre::RenderSystemCapabilities::getNumVertexTextureUnits | ( | void |  | ) | const

Get the number of vertex texture units supported.

Definition at line 652 of file OgreRenderSystemCapabilities.h.

ushort Ogre::RenderSystemCapabilities::getNumWorldMatrices | ( | void |  | ) | const

Definition at line 394 of file OgreRenderSystemCapabilities.h.

String Ogre::RenderSystemCapabilities::getRenderSystemName | ( | void |  | ) | const

Get the identifier of the rendersystem from which these capabilities were generated.

Definition at line 679 of file OgreRenderSystemCapabilities.h.

ushort Ogre::RenderSystemCapabilities::getStencilBufferBitDepth | ( | void |  | ) | const

Determines the bit depth of the hardware accelerated stencil buffer, if supported.

Remarks:
  If hardware stencilling is not supported, the software will provide an 8-bit software stencil.

Definition at line 422 of file OgreRenderSystemCapabilities.h.

const ShaderProfiles& Ogre::RenderSystemCapabilities::getSupportedShaderProfiles | ( |  | ) | const

Returns a set of all supported shader profiles.

Definition at line 509 of file OgreRenderSystemCapabilities.h.

GPUVendor Ogre::RenderSystemCapabilities::getVendor | ( |  | ) | const

Definition at line 328 of file OgreRenderSystemCapabilities.h.

ushort Ogre::RenderSystemCapabilities::getVertexProgramConstantBoolCount | ( | void |  | ) | const

The number of boolean constants vertex programs support.

Definition at line 526 of file OgreRenderSystemCapabilities.h.

ushort Ogre::RenderSystemCapabilities::getVertexProgramConstantFloatCount | ( | void |  | ) | const

The number of floating-point constants vertex programs support.

Definition at line 516 of file OgreRenderSystemCapabilities.h.

ushort Ogre::RenderSystemCapabilities::getVertexProgramConstantIntCount | ( | void |  | ) | const

The number of integer constants vertex programs support.

Definition at line 521 of file OgreRenderSystemCapabilities.h.

bool Ogre::RenderSystemCapabilities::getVertexTextureUnitsShared | ( | void |  | ) | const

Get whether the vertex texture units are shared with the fragment processor.

Definition at line 662 of file OgreRenderSystemCapabilities.h.

bool Ogre::RenderSystemCapabilities::hasCapability | ( | const Capabilities | c | ) | const

Checks for a capability.

Definition at line 470 of file OgreRenderSystemCapabilities.h.

References CAPS_CATEGORY_MASK, and OGRE_CAPS_BITSHIFT.

static void Ogre::RenderSystemCapabilities::initVendorStrings | ( |  | ) | `[static, private]`

bool Ogre::RenderSystemCapabilities::isCapabilityRenderSystemSpecific | ( | const Capabilities | c | ) |

Returns true if capability is render system specific.

Definition at line 442 of file OgreRenderSystemCapabilities.h.

References Ogre::CAPS_CATEGORY_D3D9, and Ogre::CAPS_CATEGORY_GL.

bool Ogre::RenderSystemCapabilities::isCategoryRelevant | ( | CapabilitiesCategory | cat | ) |

Return whether a category is 'relevant' or not, ie will it be reported.

Definition at line 696 of file OgreRenderSystemCapabilities.h.

bool Ogre::RenderSystemCapabilities::isDriverOlderThanVersion | ( | DriverVersion | v | ) | const

Definition at line 349 of file OgreRenderSystemCapabilities.h.

References Ogre::DriverVersion::build, Ogre::DriverVersion::major, Ogre::DriverVersion::minor, and Ogre::DriverVersion::release.

bool Ogre::RenderSystemCapabilities::isShaderProfileSupported | ( | const String & | profile | ) | const

Returns true if profile is in the list of supported profiles.

Definition at line 501 of file OgreRenderSystemCapabilities.h.

void Ogre::RenderSystemCapabilities::log | ( | Log * | pLog | ) |

Write the capabilities to the pass in Log.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

void Ogre::RenderSystemCapabilities::parseDriverVersionFromString | ( | const String & | versionString | ) |

Definition at line 315 of file OgreRenderSystemCapabilities.h.

References Ogre::DriverVersion::fromString().

void Ogre::RenderSystemCapabilities::parseVendorFromString | ( | const String & | vendorString | ) |

Parse and set vendor.

Definition at line 339 of file OgreRenderSystemCapabilities.h.

void Ogre::RenderSystemCapabilities::removeShaderProfile | ( | const String & | profile | ) |

Remove a given shader profile, if present.

Definition at line 494 of file OgreRenderSystemCapabilities.h.

void Ogre::RenderSystemCapabilities::setCapability | ( | const Capabilities | c | ) |

Adds a capability flag.

Definition at line 452 of file OgreRenderSystemCapabilities.h.

References CAPS_CATEGORY_MASK, and OGRE_CAPS_BITSHIFT.

void Ogre::RenderSystemCapabilities::setCategoryRelevant | ( | CapabilitiesCategory | cat,
|  | bool | relevant |
| ) |  |  |

Mark a category as 'relevant' or not, ie will it be reported.

Definition at line 690 of file OgreRenderSystemCapabilities.h.

void Ogre::RenderSystemCapabilities::setDeviceName | ( | const String & | name | ) |

sets the device name for Render system

Definition at line 562 of file OgreRenderSystemCapabilities.h.

void Ogre::RenderSystemCapabilities::setDriverVersion | ( | const DriverVersion & | version | ) |

Set the driver version.

Definition at line 310 of file OgreRenderSystemCapabilities.h.

void Ogre::RenderSystemCapabilities::setFragmentProgramConstantBoolCount | ( | ushort | c | ) |

The number of boolean constants fragment programs support.

Definition at line 614 of file OgreRenderSystemCapabilities.h.

void Ogre::RenderSystemCapabilities::setFragmentProgramConstantFloatCount | ( | ushort | c | ) |

The number of floating-point constants fragment programs support.

Definition at line 604 of file OgreRenderSystemCapabilities.h.

void Ogre::RenderSystemCapabilities::setFragmentProgramConstantIntCount | ( | ushort | c | ) |

The number of integer constants fragment programs support.

Definition at line 609 of file OgreRenderSystemCapabilities.h.

void Ogre::RenderSystemCapabilities::setGeometryProgramConstantBoolCount | ( | ushort | c | ) |

The number of boolean constants geometry programs support.

Definition at line 599 of file OgreRenderSystemCapabilities.h.

void Ogre::RenderSystemCapabilities::setGeometryProgramConstantFloatCount | ( | ushort | c | ) |

The number of floating-point constants geometry programs support.

Definition at line 589 of file OgreRenderSystemCapabilities.h.

void Ogre::RenderSystemCapabilities::setGeometryProgramConstantIntCount | ( | ushort | c | ) |

The number of integer constants geometry programs support.

Definition at line 594 of file OgreRenderSystemCapabilities.h.

void Ogre::RenderSystemCapabilities::setGeometryProgramNumOutputVertices | ( | int | numOutputVertices | ) |

Set the number of vertices a single geometry program run can emit.

Definition at line 668 of file OgreRenderSystemCapabilities.h.

void Ogre::RenderSystemCapabilities::setMaxPointSize | ( | Real | s | ) |

Maximum point screen size in pixels.

Definition at line 619 of file OgreRenderSystemCapabilities.h.

void Ogre::RenderSystemCapabilities::setNonPOW2TexturesLimited | ( | bool | l | ) |

Non-POW2 textures limited.

Definition at line 629 of file OgreRenderSystemCapabilities.h.

void Ogre::RenderSystemCapabilities::setNumMultiRenderTargets | ( | ushort | num | ) |

The number of simultaneous render targets supported.

Definition at line 389 of file OgreRenderSystemCapabilities.h.

void Ogre::RenderSystemCapabilities::setNumTextureUnits | ( | ushort | num | ) |

Definition at line 373 of file OgreRenderSystemCapabilities.h.

void Ogre::RenderSystemCapabilities::setNumVertexBlendMatrices | ( | ushort | num | ) |

Definition at line 383 of file OgreRenderSystemCapabilities.h.

void Ogre::RenderSystemCapabilities::setNumVertexTextureUnits | ( | ushort | n | ) |

Set the number of vertex texture units supported.

Definition at line 647 of file OgreRenderSystemCapabilities.h.

void Ogre::RenderSystemCapabilities::setNumWorldMatrices | ( | ushort | num | ) |

Definition at line 368 of file OgreRenderSystemCapabilities.h.

void Ogre::RenderSystemCapabilities::setRenderSystemName | ( | const String & | rs | ) |

Set the identifier of the rendersystem from which these capabilities were generated.

Definition at line 684 of file OgreRenderSystemCapabilities.h.

void Ogre::RenderSystemCapabilities::setStencilBufferBitDepth | ( | ushort | num | ) |

Definition at line 378 of file OgreRenderSystemCapabilities.h.

void Ogre::RenderSystemCapabilities::setVendor | ( | GPUVendor | v | ) |

Definition at line 333 of file OgreRenderSystemCapabilities.h.

void Ogre::RenderSystemCapabilities::setVertexProgramConstantBoolCount | ( | ushort | c | ) |

The number of boolean constants vertex programs support.

Definition at line 584 of file OgreRenderSystemCapabilities.h.

void Ogre::RenderSystemCapabilities::setVertexProgramConstantFloatCount | ( | ushort | c | ) |

The number of floating-point constants vertex programs support.

Definition at line 574 of file OgreRenderSystemCapabilities.h.

void Ogre::RenderSystemCapabilities::setVertexProgramConstantIntCount | ( | ushort | c | ) |

The number of integer constants vertex programs support.

Definition at line 579 of file OgreRenderSystemCapabilities.h.

void Ogre::RenderSystemCapabilities::setVertexTextureUnitsShared | ( | bool | shared | ) |

Set whether the vertex texture units are shared with the fragment processor.

Definition at line 657 of file OgreRenderSystemCapabilities.h.

void Ogre::RenderSystemCapabilities::unsetCapability | ( | const Capabilities | c | ) |

Remove a capability flag.

Definition at line 461 of file OgreRenderSystemCapabilities.h.

References CAPS_CATEGORY_MASK, and OGRE_CAPS_BITSHIFT.

static GPUVendor Ogre::RenderSystemCapabilities::vendorFromString | ( | const String & | vendorString | ) | `[static]`

Convert a vendor string to an enum.

static String Ogre::RenderSystemCapabilities::vendorToString | ( | GPUVendor | v | ) | `[static]`

Convert a vendor enum to a string.

## Member Data Documentation

int Ogre::RenderSystemCapabilities::mCapabilities[CAPS_CATEGORY_COUNT]`[private]`

Stores the capabilities flags.

Definition at line 260 of file OgreRenderSystemCapabilities.h.

bool Ogre::RenderSystemCapabilities::mCategoryRelevant[CAPS_CATEGORY_COUNT]`[private]`

Which categories are relevant.

Definition at line 262 of file OgreRenderSystemCapabilities.h.

String Ogre::RenderSystemCapabilities::mDeviceName`[private]`

The name of the device as reported by the render system.

Definition at line 264 of file OgreRenderSystemCapabilities.h.

DriverVersion Ogre::RenderSystemCapabilities::mDriverVersion`[private]`

This is used to build a database of RSC's if a RSC with same name, but newer version is introduced, the older one will be removed.

Definition at line 244 of file OgreRenderSystemCapabilities.h.

ushort Ogre::RenderSystemCapabilities::mFragmentProgramConstantBoolCount`[private]`

The number of boolean constants fragment programs support.

Definition at line 285 of file OgreRenderSystemCapabilities.h.

ushort Ogre::RenderSystemCapabilities::mFragmentProgramConstantFloatCount`[private]`

The number of floating-point constants fragment programs support.

Definition at line 281 of file OgreRenderSystemCapabilities.h.

ushort Ogre::RenderSystemCapabilities::mFragmentProgramConstantIntCount`[private]`

The number of integer constants fragment programs support.

Definition at line 283 of file OgreRenderSystemCapabilities.h.

ushort Ogre::RenderSystemCapabilities::mGeometryProgramConstantBoolCount`[private]`

The number of boolean constants vertex geometry support.

Definition at line 279 of file OgreRenderSystemCapabilities.h.

ushort Ogre::RenderSystemCapabilities::mGeometryProgramConstantFloatCount`[private]`

The number of floating-point constants geometry programs support.

Definition at line 275 of file OgreRenderSystemCapabilities.h.

ushort Ogre::RenderSystemCapabilities::mGeometryProgramConstantIntCount`[private]`

The number of integer constants vertex geometry support.

Definition at line 277 of file OgreRenderSystemCapabilities.h.

int Ogre::RenderSystemCapabilities::mGeometryProgramNumOutputVertices`[private]`

The number of vertices a geometry program can emit in a single run.

Definition at line 297 of file OgreRenderSystemCapabilities.h.

Real Ogre::RenderSystemCapabilities::mMaxPointSize`[private]`

The maximum point size.

Definition at line 289 of file OgreRenderSystemCapabilities.h.

bool Ogre::RenderSystemCapabilities::mNonPOW2TexturesLimited`[private]`

Are non-POW2 textures feature-limited?

Definition at line 291 of file OgreRenderSystemCapabilities.h.

ushort Ogre::RenderSystemCapabilities::mNumMultiRenderTargets`[private]`

The number of simultaneous render targets supported.

Definition at line 287 of file OgreRenderSystemCapabilities.h.

ushort Ogre::RenderSystemCapabilities::mNumTextureUnits`[private]`

The number of texture units available.

Definition at line 254 of file OgreRenderSystemCapabilities.h.

ushort Ogre::RenderSystemCapabilities::mNumVertexBlendMatrices`[private]`

The number of matrices available for hardware blending.

Definition at line 258 of file OgreRenderSystemCapabilities.h.

ushort Ogre::RenderSystemCapabilities::mNumVertexTextureUnits`[private]`

The number of vertex texture units supported.

Definition at line 293 of file OgreRenderSystemCapabilities.h.

ushort Ogre::RenderSystemCapabilities::mNumWorldMatrices`[private]`

The number of world matrices available.

Definition at line 252 of file OgreRenderSystemCapabilities.h.

String Ogre::RenderSystemCapabilities::mRenderSystemName`[private]`

The identifier associated with the render system for which these capabilities are valid.

Definition at line 266 of file OgreRenderSystemCapabilities.h.

StringVector Ogre::RenderSystemCapabilities::msGPUVendorStrings`[static, private]`

Definition at line 248 of file OgreRenderSystemCapabilities.h.

ushort Ogre::RenderSystemCapabilities::mStencilBufferBitDepth`[private]`

The stencil buffer bit depth.

Definition at line 256 of file OgreRenderSystemCapabilities.h.

ShaderProfiles Ogre::RenderSystemCapabilities::mSupportedShaderProfiles`[private]`

The list of supported shader profiles.

Definition at line 301 of file OgreRenderSystemCapabilities.h.

GPUVendor Ogre::RenderSystemCapabilities::mVendor`[private]`

GPU Vendor.

Definition at line 246 of file OgreRenderSystemCapabilities.h.

ushort Ogre::RenderSystemCapabilities::mVertexProgramConstantBoolCount`[private]`

The number of boolean constants vertex programs support.

Definition at line 273 of file OgreRenderSystemCapabilities.h.

ushort Ogre::RenderSystemCapabilities::mVertexProgramConstantFloatCount`[private]`

The number of floating-point constants vertex programs support.

Definition at line 269 of file OgreRenderSystemCapabilities.h.

ushort Ogre::RenderSystemCapabilities::mVertexProgramConstantIntCount`[private]`

The number of integer constants vertex programs support.

Definition at line 271 of file OgreRenderSystemCapabilities.h.

bool Ogre::RenderSystemCapabilities::mVertexTextureUnitsShared`[private]`

Are vertex texture units shared with fragment processor?

Definition at line 295 of file OgreRenderSystemCapabilities.h.

The documentation for this class was generated from the following file:

- OgreRenderSystemCapabilities.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:59